Get Baremetal Task Status

Get Baremetal Task Status
Get baremetal task status

Returns the baremetal task status

Request
URI
GET
https://{api_host}/baremetal/tasks/{task-id}
COPY
Path Parameters
string
task-id
Required  

Task ID for which task status is requested.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns BaremetalTaskInfo of type(s) application/json
This response body class contains all of the following: AsyncActivity , InlineBaremetalTaskInfo1
{
    "_create_time": 0,
    "_last_modified_time": 0,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "activity_status_msg": "string",
    "_completed_at": 0,
    "task_type": "string",
    "task_status": "string",
    "baremetalserver_task_info": [
        {
            "_create_time": 0,
            "_last_modified_time": 0,
            "id": "string",
            "display_name": "string",
            "description": "string",
            "activity_status_msg": "string",
            "_completed_at": 0,
            "server_task_status": "string"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error response on API failure.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/baremetal/tasks/{task-id}